<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="EXTTRI">
  <refnamediv>
    <refname>EXTTRI</refname>
    <refpurpose>EXTTRI: Triangular or Diagonal extraction</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/EXTTRI_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_EXTTRI">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="EXTTRI">EXTTRI: Triangular or Diagonal extraction</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_EXTTRI">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_EXTTRI">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_EXTTRI">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="EXTTRI">Example</link>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_EXTTRI">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_EXTTRI">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_EXTTRI">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Seealso_EXTTRI">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_EXTTRI">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_EXTTRI">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Matrix_pal">Matrix - Matrix operation palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_EXTTRI">
    <title>Description</title>
    <para>
The EXTTRI block extracts some elements from the input matrix u.  
</para>
    <para>
When the "Extraction type" is set to "1", the block copies the elements on and above the main diagonal to an output matrix of the same size. The elements below the main diagonal are set to zero.  
</para>
    <para>
When the "Extraction type" is set to "2", the block copies the elements on and below the main diagonal to an output matrix of the same size. The elements above the main diagonal are set to zero.  
</para>
    <para>
When the "Extraction type" is set to "3", the block copies the elements on the main diagonal to an output matrix of the same size. The elements above and below the main diagonal are set to zero.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Dialogbox_EXTTRI">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/EXTTRI_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Datatype(1=real double 2=Complex)</emphasis>
        </para>
        <para> It indicates the type of the output. It support only the two types double (1) and complex (2). If we input another entry in this label Scicos will print the message "Datatype is not supported".</para>
        <para> Properties : Type 'vec' of size 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">extraction type (1=lower 2=upper 3=diagonal)</emphasis>
        </para>
        <para> It indicates the form of the output matrix. It can be an upper triangle, a lower triangle or a diagonal matrix.</para>
        <para> Properties : Type 'vec' of size 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Example_EXTTRI">
    <title>Example</title>
    <programlisting role="example"><![CDATA[ 
A=[1 2 3;4 5 6;7 8 9;10 11 12]
If the extraction type is 2 then the output is
B=[1 0 0;4 5 0;7 8 9;10 11 12]
 ]]></programlisting>
  </refsection>
  <refsection id="Defaultproperties_EXTTRI">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> yes</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [-1,-2] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [-1,-2] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
          <emphasis role="italic">extrilz</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_EXTTRI">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/MatrixOp/EXTTRI.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_EXTTRI">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/exttril.c</para>
      </listitem>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/exttriu.c</para>
      </listitem>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/extdiag.c</para>
      </listitem>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/exttrilz.c</para>
      </listitem>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/exttriuz.c</para>
      </listitem>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/extdiagz.c</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Seealso_EXTTRI">
    <title>See also</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="EXTRACT">EXTRACT - EXTRACT: Matrix Extractor (Scicos Block)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_EXTTRI">
    <title>Authors</title>
    <para><emphasis role="bold">Fady NASSIF</emphasis> - INRIA</para>
  </refsection>
</refentry>
